# Configuration

```lua
cfg = {
    ['framework'] = 'esx', -- qb / esx / standalone
    ['standaloneCommand'] = 'policephone', -- If you set framework to standalone, this command will be active
    ['adminCommand'] = 'givebotnet', -- /givebotnet playerId botnetCount
    ['phoneItem'] = 'policephone', -- Usable phone item name. You should add database or shared with usable option.
    -- ['phoneJobs'] = {'police', 'sheriff'}, -- Jobs for allow use police phone (un-comment if you want works with jobs)
    ['phoneHackDistance'] = 50.0, -- Maximum distance for hack
    ['phoneObjectName'] = 'prop_police_phone', -- Phone object name for stay on hand (default is object with cops texture)
    ['radarPanel'] = { ['x'] = 0.0857, ['y'] = 0.795 }, -- Screen position of the panel above the map
    ['radarPanelFont'] = 4, -- Font number for draw screen text
    ['names'] = { -- Random npc names
        ['male'] = { "Austin Alvarez", "William Gutierrez", "Richard Duke", "Ronald Valencia", "Matthew Butler", "Jason Griffin", "Bryan Thompson", "Stephen Garcia", "Joseph Powell", "Jordan Kelly", "Aaron Kelly", "Joel Williams", "Jerry Thomas", "Devin James", "Gregory Gutierrez", "Jeff Delacruz", "Robert Farmer", "Spencer Clements", "Paul Robinson", "Chris Oliver" },
        ['female'] = { "Jacqueline Larsen", "Ruth Bruce", "Sabrina Novak", "Sara Harrison", "Sara Ward", "Michelle Macdonald", "Diane Martin", "Amanda Lee", "Jennifer Rivera DDS", "Cheyenne Taylor", "Lydia Miles", "Gwendolyn Powers", "Allison Zuniga", "Donna Wright", "Kim Gonzalez", "Kathleen Lucas", "Sarah Zimmerman", "Tabitha Moreno", "Kaitlyn Marshall", "Gina Gallegos" }
    },
    ["vehicles"] = {"SultanRS","Elegy","Banshee","Comet","Adder","Zentorno","Osiris","T20","Infernus","Cheetah","Bullet"},
    ["factions"] = {"Ballas", "Aztecas", "Vagos", "Lost MC", "Triads", "Army", "Government"},
    ["extras"] = {"Autism", "Bully", "Crackhead", "Drunk", "Gangster", "Hacker", "Junkie", "Liar"},
    ["licenses"] = { 'Firearms', 'Fishing', 'Hunting', 'Taxi', 'Pilot', 'Driving', 'Boat', 'Weapons', 'Security' },
    ['jobs'] = { 'Police', 'Doctor', 'Mechanic', 'Lawyer', 'Actor', 'Lifeguard', 'Teacher', 'Cleaner', 'Dancer', 'Programmer', 'Gardener' },
    ['gpsConnectionTime'] = 50, -- Connection time(seconds) for player and vehicle tracking
    ['interactions'] = {
        ['ped'] = {
            ['personal_card'] = {
                ['icon'] = 'fa-solid fa-money-check-dollar',
                ['label'] = ' [E]', -- UI Label
                ['key'] = 38, -- Interact key code https://docs.fivem.net/docs/game-references/controls/
                ['event'] = 'rm_copsv:client:openPersonalCard',
                
            },
            ['dispatch'] = {
                ['icon'] = 'fa-solid fa-handcuffs',
                ['label'] = ' [Y]', -- UI Label
                ['key'] = 246, -- Interact key code https://docs.fivem.net/docs/game-references/controls/
                ['event'] = 'rm_copsv:client:fakeDispatch',
            },
            ['location_player'] = {
                ['icon'] = 'fa-solid fa-location-dot',
                ['label'] = ' [U]', -- UI Label
                ['key'] = 303, -- Interact key code https://docs.fivem.net/docs/game-references/controls/
                ['event'] = 'rm_copsv:client:locationPlayer',
            },
        },

        ['vehicle'] = {
            ['vehicle_card'] = {
                ['icon'] = 'fa-solid fa-money-check-dollar',
                ['label'] = ' [X]', -- UI Label
                ['key'] = 186, -- Interact key code https://docs.fivem.net/docs/game-references/controls/
                ['event'] = 'rm_copsv:client:openVehicleCard',
            },
            ['control'] = {
                ['icon'] = 'fa-solid fa-gamepad',
                ['label'] = ' [G]', -- UI Label
                ['key'] = 47, -- Interact key code https://docs.fivem.net/docs/game-references/controls/
                ['controls'] = {
                    ['keys'] = {
                        ['forward'] = 172,
                        ['backward'] = 173,
                        ['right'] = 175,
                        ['left'] = 174,
                    },
                    ['notification'] = "~INPUT_CELLPHONE_RIGHT~ the car drives to the right \n~INPUT_CELLPHONE_LEFT~ the car drives to the left\n~INPUT_CELLPHONE_UP~ the car drives forward\n~INPUT_CELLPHONE_DOWN~ the car goes backwards\n\nConnection end in %s seconds."
                }, -- Vehicle control keys and control notification
                ['event'] = 'rm_copsv:client:controlVehicle',
                ['connectionTime'] = 30,
            },
            ['location_vehicle'] = {
                ['icon'] = 'fa-solid fa-location-dot',
                ['label'] = ' [H]', -- UI Label
                ['key'] = 74, -- Interact key code https://docs.fivem.net/docs/game-references/controls/
                ['event'] = 'rm_copsv:client:locationVehicle',
            },
            ['unlock'] = {
                ['icon'] = 'fa-solid fa-lock',
                ['label'] = ' [K]', -- UI Label
                ['key'] = 311, -- Interact key code https://docs.fivem.net/docs/game-references/controls/
                ['event'] = 'rm_copsv:client:unlockVehicle',
            },
            ['crash'] = {
                ['icon'] = 'fa-solid fa-car-burst',
                ['label'] = ' [L]', -- UI Label
                ['key'] = 182, -- Interact key code https://docs.fivem.net/docs/game-references/controls/
                ['event'] = 'rm_copsv:client:crashVehicle',
            },
        }
    },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainmad.com/resources/cops-v-database/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
